com.microfocus.awm.core

## Enum TaurusModelUtilities.EParameterFrom

- java.lang.Object
- - java.lang.Enum<TaurusModelUtilities.EParameterFrom>
  - - com.microfocus.awm.core.TaurusModelUtilities.EParameterFrom

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TaurusModelUtilities.EParameterFrom>
  Enclosing class:
    TaurusModelUtilities

      public static enum TaurusModelUtilities.EParameterFrom
      extends java.lang.Enum<TaurusModelUtilities.EParameterFrom>

  Enumeration for sources of resolved parameter values.
  Author:
    Ralf Pakosch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTEXT` From context
    `DEFAULT_INPARM` Default parameter value
    `DEFAULT_PROPERTY` Default property value
    `FILENAME` Retrieved file descriptor from the context memory Map
    `MASTER_CONFIGURATION` Property from master configuration
    `PREVIOUS_TOOL` From previous tool
    `REMOVED` Removed parameter
    `STATIC` Static value

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLiteral()`
    `static TaurusModelUtilities.EParameterFrom` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TaurusModelUtilities.EParameterFrom[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STATIC

          public static final TaurusModelUtilities.EParameterFrom STATIC

      Static value

    - #### PREVIOUS_TOOL

          public static final TaurusModelUtilities.EParameterFrom PREVIOUS_TOOL

      From previous tool

    - #### CONTEXT

          public static final TaurusModelUtilities.EParameterFrom CONTEXT

      From context

    - #### REMOVED

          public static final TaurusModelUtilities.EParameterFrom REMOVED

      Removed parameter

    - #### FILENAME

          public static final TaurusModelUtilities.EParameterFrom FILENAME

      Retrieved file descriptor from the context memory Map

    - #### DEFAULT_PROPERTY

          public static final TaurusModelUtilities.EParameterFrom DEFAULT_PROPERTY

      Default property value

    - #### DEFAULT_INPARM

          public static final TaurusModelUtilities.EParameterFrom DEFAULT_INPARM

      Default parameter value

    - #### MASTER_CONFIGURATION

          public static final TaurusModelUtilities.EParameterFrom MASTER_CONFIGURATION

      Property from master configuration

  - ### Method Detail

    - #### values

          public static TaurusModelUtilities.EParameterFrom[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TaurusModelUtilities.EParameterFrom c : TaurusModelUtilities.EParameterFrom.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaurusModelUtilities.EParameterFrom valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLiteral

          public java.lang.String getLiteral()

      Returns:
        the literal for the enum value

Copyright © 2015 Micro Focus GmbH. All rights reserved.